import { Dispatcher, EventBus } from '../../bus';
import { Translator } from '../../l10n';
import { Bookmark } from './bookmark';
export declare class BookmarkManager extends Dispatcher {
    readonly eventBus: EventBus;
    readonly translator: Translator;
    protected bookmarks: Map<number, Bookmark>;
    constructor(eventBus: EventBus, translator: Translator);
    get length(): number;
    get all(): Bookmark[];
    set(bookmarks: Bookmark[]): void;
    merge(bookmarks: Bookmark[]): void;
    has(page: number): boolean;
    get(page: number): Bookmark | undefined;
    select(page: number): void;
    add(bookmark: Bookmark): void;
    toggle(page: number): void;
    delete(page: number): void;
    destroy(): void;
}
